org.apache.felix.gogo.runtime

## Class ThreadUtils

- java.lang.Object
- - org.apache.felix.gogo.runtime.ThreadUtils

    public class ThreadUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ThreadUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ThreadFactory` `namedThreadFactory(String prefix)` Constructs threads with names `<prefix>-<pool number>-thread-<thread number>`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadUtils

    public ThreadUtils()

### Method Detail

#### namedThreadFactory

    public static ThreadFactory namedThreadFactory(String prefix)

Constructs threads with names `<prefix>-<pool number>-thread-<thread number>`.

Parameters:
  `prefix` - prefix to be used for thread names created by this `ThreadFactory`
Returns:
  ThreadFactory